Subject: Re: bug#7773: (lack of) config.h description in manual

From: Jack Kelly <[email-masked]>
Date: Wed, 5 Jan 2011 01:53:44 +1100

I disagree that `make prefix=... install' is a poor man's DESTDIR.
Installing using DESTDIR will install things in
$(DESTDIR)/$(prefix)/bin (and so on), which is a right pain when it
comes to using something like GNU Stow to manage /usr/local.

-- Jack

On Tue, Jan 4, 2011 at 6:13 PM, Ralf Wildenhues <[email-masked]> wrote:
> Hello Karl, Eric,
>
> * Eric Blake wrote on Tue, Jan 04, 2011 at 01:33:42AM CET:
>> On 01/03/2011 05:00 PM, Karl Berry wrote:
>> > Thanks for the reference.  Now that I know it, I suggest the Automake
>> > manual simply have a sentence with an xref to that node.
>
> Yes, I agree with that, and I am still going to do that.  You opened two
> bug reports originally (inadvertently), I only closed the one that was
> dealt with.  Sorry if that was unclear before.
>
>> > Hmm, I'm not so sure that the GCS forbids doing the right thing (or that
>> > it has to stay that way even if it does), but I won't pursue it further.
>>
>> What the GCS requires is that you can do 'make prefix=/alternate/path'
>> and have that propagate through all the directory variables.  Anything
>> learned at configure time can thus be rewritten at make time, so the
>> only safe place to record a directory variable's value is at make time.
>>  I don't think this aspect of the GCS needs changing.
>>
>> One other thing to point out is that the GCS documents that 'make
>> install' should ideally not rebuild any source code, but that this ideal
>> is only possible if you either _don't_ use 'make prefix=...', or if you
>> use the same prefix in both 'make prefix=...' and 'make install prefix=...'.
>
> I don't think that is correct.  In fact, I think it is entirely intended
> to be possible to use a different prefix= setting for the all and for
> the install targets, and the latter should still not rebuild sources.
> Sort of a poor-man's DESTDIR.  You can see the usefulness on MSYS and
> DJGPP (where DESTDIR does not work due to drive prefix concatenation).
> (Of course Libtool doesn't support the non-DESTDIR way, but that's
> another story ...)
>
> Cheers,
> Ralf
>
>
>
>